#ifndef XANIMNOTIFYINFO_H
#define XANIMNOTIFYINFO_H

#include "xasset.h"

class XAnimNotifyInfo : public XAsset
{
public:
    explicit XAnimNotifyInfo();
    ~XAnimNotifyInfo();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

    quint32 GetName() const;
    void SetName(quint32 name);

    float GetTime() const;
    void SetTime(float time);

private:
    quint32 mName;
    float mTime;
};

#endif // XANIMNOTIFYINFO_H
